---@meta

---@class Minimap : Frame
Minimap = {
	--- Gets the zoom level of the minimap.
	--- @return number zoom The zoom level.
	--- @example
	--- local zoom = myMinimap:GetZoom()
	GetZoom = function(self) end,

	--- Gets the zoom levels of the minimap.
	--- @return number min The minimum zoom level.
	--- @return number max The maximum zoom level.
	--- @example
	--- local min, max = myMinimap:GetZoomLevels()
	GetZoomLevels = function(self) end,

	--- Sets the zoom level of the minimap.
	--- @param zoom number The zoom level.
	--- @example
	--- myMinimap:SetZoom(2)
	SetZoom = function(self, zoom) end,

	--- Sets the mask texture of the minimap.
	--- @param texture string|number The texture path or file ID.
	--- @example
	--- myMinimap:SetMaskTexture("Interface\\CHARACTERFRAME\\TempPortraitAlphaMask")
	SetMaskTexture = function(self, texture) end,

	--- Sets the blend mode of the minimap.
	--- @param mode string The blend mode ("DISABLE"|"BLEND"|"ALPHAKEY"|"ADD"|"MOD").
	--- @example
	--- myMinimap:SetBlipTexture("BLEND")
	SetBlipTexture = function(self, mode) end,
}
